usb_get_dev
Prev | Chapter 5. USB Core APIs | Next

## Name

usb_get_dev — increments the reference count of the usb device structure

## Synopsis

`struct usb_device * usb_get_dev (` | struct usb_device * | dev`)`;

## Arguments

`dev`

  the device being referenced

## Description

Each live reference to a device should be refcounted.

Drivers for USB interfaces should normally record such references in their `probe` methods, when they bind to an interface, and release them by calling `usb_put_dev`, in their `disconnect` methods.

A pointer to the device with the incremented reference counter is returned.

Prev | Up | Next
usb_find_interface | Home | usb_put_dev